Proliantutils is broken with Sushy version 3.10

Bug #1863236 reported by Shivanand Tendulker on 2020-02-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
proliantutils
Undecided
Unassigned

Bug Description

+ python3 ./change_boot_mode.py
Traceback (most recent call last):
  File "./change_boot_mode.py", line 3, in
    cl=client.IloClient("169.16.1.17", "Administrator", "weg0th@ce@r")
  File "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line 164, in __call__
    self._create_instance(*args, **kwargs)
  File "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line 147, in _create_instance
    self.cls(*args, **kwargs))
  File "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line 230, in __init__
    should_set_model=False)
  File "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line 254, in _init_redfish_object
    bios_password=bios_password, cacert=cacert)
  File "/usr/local/lib/python3.6/dist-packages/proliantutils/redfish/redfish.py", line 157, in __init__
    root_prefix=root_prefix, verify=verify)
  File "/usr/local/lib/python3.6/dist-packages/proliantutils/redfish/main.py", line 61, in __init__
    connector=prutils_connector.HPEConnector(base_url, verify=verify))
  File "/usr/local/lib/python3.6/dist-packages/sushy/main.py", line 141, in __init__
    path=self._root_prefix)
  File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py", line 437, in __init__
    self.refresh()
  File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py", line 472, in refresh
    self._json = self._reader.get_json()
  File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py", line 339, in get_json
    data = self._conn.get(path=self._path)
  File "/usr/local/lib/python3.6/dist-packages/sushy/connector.py", line 168, in get
    **extra_session_req_kwargs)
  File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 49, in wrapped_f
    return Retrying(*dargs, **dkw).call(f, *args, **kw)
  File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 206, in call
    return attempt.get(self._wrap_exception)
  File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 247, in get
    six.reraise(self.value[0], self.value[1], self.value[2])
  File "/usr/local/lib/python3.6/dist-packages/six.py", line 703, in reraise
    raise value
  File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 200, in call
    attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
TypeError: _op() got an unexpected keyword argument 'blocking'
Exception ignored in: >
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/dist-packages/sushy/main.py", line 150, in __del__
AttributeError: 'HPESushy' object has no attribute '_auth'

Download full text (6.1 KiB)

Kya sirji

You are breaking proliantutils! Wan-yen will not spare you.

How are things?

On Fri, 14 Feb, 2020, 4:45 PM Shivanand Tendulker, <email address hidden>
wrote:

> Public bug reported:
>
> + python3 ./change_boot_mode.py
> Traceback (most recent call last):
> File "./change_boot_mode.py", line 3, in
> cl=client.IloClient("169.16.1.17", "Administrator", "weg0th@ce@r")
> File
> "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line
> 164, in __call__
> self._create_instance(*args, **kwargs)
> File
> "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line
> 147, in _create_instance
> self.cls(*args, **kwargs))
> File
> "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line
> 230, in __init__
> should_set_model=False)
> File
> "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py", line
> 254, in _init_redfish_object
> bios_password=bios_password, cacert=cacert)
> File
> "/usr/local/lib/python3.6/dist-packages/proliantutils/redfish/redfish.py",
> line 157, in __init__
> root_prefix=root_prefix, verify=verify)
> File
> "/usr/local/lib/python3.6/dist-packages/proliantutils/redfish/main.py",
> line 61, in __init__
> connector=prutils_connector.HPEConnector(base_url, verify=verify))
> File "/usr/local/lib/python3.6/dist-packages/sushy/main.py", line 141,
> in __init__
> path=self._root_prefix)
> File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py",
> line 437, in __init__
> self.refresh()
> File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py",
> line 472, in refresh
> self._json = self._reader.get_json()
> File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py",
> line 339, in get_json
> data = self._conn.get(path=self._path)
> File "/usr/local/lib/python3.6/dist-packages/sushy/connector.py", line
> 168, in get
> **extra_session_req_kwargs)
> File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 49, in
> wrapped_f
> return Retrying(*dargs, **dkw).call(f, *args, **kw)
> File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 206, in
> call
> return attempt.get(self._wrap_exception)
> File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 247, in
> get
> six.reraise(self.value[0], self.value[1], self.value[2])
> File "/usr/local/lib/python3.6/dist-packages/six.py", line 703, in
> reraise
> raise value
> File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 200, in
> call
> attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
> TypeError: _op() got an unexpected keyword argument 'blocking'
> Exception ignored in: >
> Traceback (most recent call last):
> File "/usr/local/lib/python3.6/dist-packages/sushy/main.py", line 150,
> in __del__
> AttributeError: 'HPESushy' object has no attribute '_auth'
>
> ** Affects: proliantutils
> Importance: Undecided
> Status: New
>
> --
> You received this bug notification because you are a member of ilo-
> driver-team, which is subscribed to proliantutils.
> https://bugs.launchpad.net/bugs/1863236
>
> Title:
> Proliantutils is br...

Read more...

Download full text (9.6 KiB)

Kya karein ... :)
Aur tum sunawo... how are things at Oracle?

On Sat, Feb 15, 2020 at 4:50 AM deray <email address hidden> wrote:

> Kya sirji
>
> You are breaking proliantutils! Wan-yen will not spare you.
>
> How are things?
>
> On Fri, 14 Feb, 2020, 4:45 PM Shivanand Tendulker, <email address hidden>
> wrote:
>
> > Public bug reported:
> >
> > + python3 ./change_boot_mode.py
> > Traceback (most recent call last):
> > File "./change_boot_mode.py", line 3, in
> > cl=client.IloClient("169.16.1.17", "Administrator", "weg0th@ce@r")
> > File
> > "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py",
> line
> > 164, in __call__
> > self._create_instance(*args, **kwargs)
> > File
> > "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py",
> line
> > 147, in _create_instance
> > self.cls(*args, **kwargs))
> > File
> > "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py",
> line
> > 230, in __init__
> > should_set_model=False)
> > File
> > "/usr/local/lib/python3.6/dist-packages/proliantutils/ilo/client.py",
> line
> > 254, in _init_redfish_object
> > bios_password=bios_password, cacert=cacert)
> > File
> >
> "/usr/local/lib/python3.6/dist-packages/proliantutils/redfish/redfish.py",
> > line 157, in __init__
> > root_prefix=root_prefix, verify=verify)
> > File
> > "/usr/local/lib/python3.6/dist-packages/proliantutils/redfish/main.py",
> > line 61, in __init__
> > connector=prutils_connector.HPEConnector(base_url, verify=verify))
> > File "/usr/local/lib/python3.6/dist-packages/sushy/main.py", line 141,
> > in __init__
> > path=self._root_prefix)
> > File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py",
> > line 437, in __init__
> > self.refresh()
> > File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py",
> > line 472, in refresh
> > self._json = self._reader.get_json()
> > File "/usr/local/lib/python3.6/dist-packages/sushy/resources/base.py",
> > line 339, in get_json
> > data = self._conn.get(path=self._path)
> > File "/usr/local/lib/python3.6/dist-packages/sushy/connector.py", line
> > 168, in get
> > **extra_session_req_kwargs)
> > File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 49, in
> > wrapped_f
> > return Retrying(*dargs, **dkw).call(f, *args, **kw)
> > File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 206, in
> > call
> > return attempt.get(self._wrap_exception)
> > File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 247, in
> > get
> > six.reraise(self.value[0], self.value[1], self.value[2])
> > File "/usr/local/lib/python3.6/dist-packages/six.py", line 703, in
> > reraise
> > raise value
> > File "/usr/local/lib/python3.6/dist-packages/retrying.py", line 200, in
> > call
> > attempt = Attempt(fn(*args, **kwargs), attempt_number, False)
> > TypeError: _op() got an unexpected keyword argument 'blocking'
> > Exception ignored in: >
> > Traceback (most recent call last):
> > File "/usr/local/lib/python3.6/dist-packages/sushy/main.py", line 150,
> > in __del__
> > AttributeError: 'HPESushy' object has no attribute '_auth'...

Read more...

Reviewed: https://review.opendev.org/707933
Committed: https://git.openstack.org/cgit/x/proliantutils/commit/?id=0196cd316236ca48f41ace48c662f4735b574b7b
Submitter: Zuul
Branch: master

commit 0196cd316236ca48f41ace48c662f4735b574b7b
Author: Shivanand Tendulker <email address hidden>
Date: Fri Feb 14 08:16:51 2020 -0500

    The _op method has changed in sushy 3.10

    The sushy method _op() in connector.py accepts new set of arguments.
    Proliantutils needs to accept these arguments in its overridden
    method.

    Change-Id: If66e23209cfcae7c418d1e0dec34add5ed65dc6c
    Closes-Bug: #1863236

Changed in proliantutils:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers